Requires write_orders access scope.
For more info, refer to:
POST https://{handle}.myshopline.com/admin/openapi/v20261201/orders/:order_id/fulfillments/:fulfillment_id/cancel.json
handle : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is open001.myshopline.com , the store handle is open001 .
Order shipment cancellation
Path Parameters
  • fulfillment_id string required
    Package id
  • order_id string required
    Order number
Request Headers
  • Content-Type string required
    The field must be set to the fixed value application/json; charset=utf-8.
  • Authorization string required
    The access token for the API resource. Refer to App authorization to obtain the access token, and then pass the obtained token in the Bearer format.
    Example:
    Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA
Status Codes
For the complete list of codes and messages, see Http status code.

Response Headers
  • traceId
    A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.
Response Body
  • fulfillmentobject
    Package information
  • updated_at string
    Update time
  • tracking_number string
    Tracking number
  • tracking_numbers array
    Tracking number array
    Example: [""]
  • name string
    Package
    Example: e.g. #1001.1, #1001.2
  • tracking_url string
    Logistics tracking URL
  • status string
    Package tracking
  • created_at string
    Creation date
  • tracking_urls array
    Logistics tracking URL group
    Example: [""]
  • order_id string
    Order number
  • id string
    Package ID
  • tracking_company string
    Logistics company name
  • line_itemsobject[]
    Item group
  • requires_shipping boolean
    Shipping or not
  • taxable boolean
    Tax or not?
  • tax_linesobject[]
    Tax
  • rate string
    Tax rate
  • title string
    Tax name
  • price string
    Amount
  • price_setobject
    Multi-currency amount
  • presentment_moneyobject
    Settlement currency
  • amount string
    Amount
  • currency_code string
    Currency
  • shop_moneyobject
    Store currency
  • currency_code string
    Currency
  • amount string
    Amount
  • quantity integer
    Product quantity shipped
  • fulfillable_quantity integer
    Available quantity
  • sku string
    Product code
  • grams double
    Weight
  • title string
    Product title
  • price_setobject
    Multi-currency prices
  • presentment_moneyobject
    Settlement currency
  • amount string
    Amount
  • currency_code string
    Currency
  • shop_moneyobject
    Store currency
  • amount string
    Amount
  • currency_code string
    Currency
  • total_discount_setobject
    Multi-currency discount
  • shop_moneyobject
    Store currency
  • amount string
    Amount
  • currency_code string
    Currency
  • presentment_moneyobject
    Settlement currency
  • amount string
    Amount
  • currency_code string
    Currency
  • version string
    Product version
  • variant_id string
    Product variant ID
  • product_id string
    Product ID
  • fulfillment_quantity integer
    Shipping quantity
    Example: 1
  • id string
    Product ID
  • total_discount string
    Discount amount
  • name string
    Product name
  • price string
    Price
  • variant_title string
    Product variant name
API Explorer
https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201

ParamOptions

path required
path required
header required

Language

curl --request POST \
--url https://openapiceshidianpu.myshopline.com/admin/openapi/v20261201/orders/order_id/fulfillments/fulfillment_id/cancel.json \
--header 'Authorization: Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA' \
--header 'Content-Type: application/json; charset=utf-8' \
--header 'accept: application/json'
Was this article helpful to you?